# $Revision: 1.48 $, $Date: 2008-01-11 00:58:06 $
# TODO:
# - add certificate and compiling java client
# - make install attempts to useradd/groupadd and possibly succeeds if ran as root

%define	CDWuser		webcdwriter
%define	CDWgroup	cdwrite

Summary:	Network CD Writing tool
Summary(pl.UTF-8):	Narzędzie do sieciowego nagrywania CD
Name:		webCDwriter
Version:	2.8.1
Release:	2
License:	GPL v2+
Group:		Networking/Daemons
Source0:	http://joerghaeger.de/webCDwriter/download/%{name}-%{version}.tar.bz2
# Source0-md5:	7cf04f31507a1da96073eef2d50b65b0
Patch0:		%{name}-FHS.patch
# Source0Download: http://joerghaeger.de/webCDwriter/TARs.html
URL:		http://JoergHaeger.de/webCDwriter/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	pam-devel
BuildRequires:	rpmbuild(macros) >= 1.202
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/chown
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/find
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(pre):	/usr/sbin/usermod
Requires:	/usr/bin/isoinfo
Requires:	/usr/bin/mkisofs
Requires:	/usr/bin/readcd
Requires:	cdrdao
Requires:	cdrtools >= 2.01
Requires:	mpg123
Requires:	sox
Provides:	group(%{CDWgroup})
Provides:	user(%{CDWuser})
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir		/etc/CDWserver

%description
webCDwriter can be used to make a single CD-writer available to the
users in your network. It consists of the server CDWserver and the
clients webCDcreator and rcdrecord. CDWserver stores the files
transmitted by the clients, reserves the CD-writer and controls the
CD-writer using cdrecord. webCDcreator is a Java applet that runs
within your browser (Mozzila, Netscape...), assists you when putting
together a CD and transmits the files. Finally rcdrecord is a command
line client that trys to offer the functionality of cdrecord over the
network (not complete yet).

%description -l pl.UTF-8
webCdwriter służy do udostępniania pojedynczej nagrywarki dla
wszystkich użytkowników sieci. Zawiera serwer CDWserver oraz klientów:
webCDcreator i rcdrecord. CDWserver przechowuje pliki transmitowane
przez klientów, zarządza nagrywarką używając do tego celu cdrecord.
webCDcreator jest apletem Javy uruchamianym z przeglądarki (Mozilla,
Netscape, Internet Explorer,...), pomagającym transmitować pliki.
rcdrecord jest uruchamianym w powłoce klientem który spełnia funkcje
cdrecord w sieci (jeszcze nie skończony).

%package rcdrecord
Summary:	Network CD Writing tool - remote client
Summary(pl.UTF-8):	Narzędzie do sieciowego nagrywania CD - zdalny klient
Group:		Networking/Utilities

%description rcdrecord
Remote client for webCDwriter.

%description rcdrecord -l pl.UTF-8
Zdalny klient dla webCDwritera.

%prep
%setup -q
%patch0 -p1

%build

./configure	--pam \
		--group=%{CDWgroup} \
		--user=%{CDWuser} \
		--port=12411 \
		--destDir=$RPM_BUILD_ROOT \
		--doNotCompileWebCDcreator

#		--nosCert= # Netscape Object Signing Certificate
#		--sunCert= # certificate for the keytool from Sun
#		--debug

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
# looks like make install auto users $RPM_BUILD_ROOT?
%{__make} install

install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,%{_datadir}/CDWserver}
mv $RPM_BUILD_ROOT/etc/init.d/CDWserver $RPM_BUILD_ROOT/etc/rc.d/init.d/CDWserver
rm $RPM_BUILD_ROOT%{_bindir}/CDWuninstall.sh

%clean
if [ ! -e $RPM_BUILD_ROOT/dev/ ]; then
	rm -rf $RPM_BUILD_ROOT
fi

%pre
%groupadd -g 27 %{CDWgroup}
%useradd -g %{CDWgroup} -c "%{name} user" -u 109 -r -d %{_var}/lib/CDWserver -s /bin/false %{CDWuser}

%post
# TODO use trigger if it's from older PLD package or discard
# Since rpm will not change the owner of an existing %config file

%{__chown} %{CDWuser} %{_sysconfdir}/accounts 2> /dev/null || :
%{__chown} %{CDWuser} %{_sysconfdir}/config 2> /dev/null || :
%{__chown} %{CDWuser} %{_sysconfdir}/key.txt 2> /dev/null || :
%{__chown} %{CDWuser} %{_sysconfdir}/password 2> /dev/null || :
%{__chmod} 600 %{_sysconfdir}/password 2> /dev/null || :
%{__chown} %{CDWuser} %{_var}/log/CDWserver/CDinfos 2> /dev/null || :
%{__chown} %{CDWuser} %{_var}/log/CDWserver/connects 2> /dev/null || :
%{__chown} %{CDWuser} %{_var}/log/CDWserver/log 2> /dev/null || :
%{__chown} %{CDWuser} %{_var}/log/CDWserver/sessions 2> /dev/null || :

# use R: not test for -x
if [ -x /sbin/chkconfig ]; then
	/sbin/chkconfig --add CDWserver
fi

#move old projects files to new localization (FHS)
if [ -e /home/CDWserver/ ]; then
	echo "move project files to %{_libdir}/CDWserver/projects/..."
	cp /home/CDWserver/* %{_libdir}/CDWserver/projects/ 2> /dev/null || :
	echo "use #rmdir /home/CDWserver/ to clear directory"
fi

%{_sbindir}/CDWconfig.sh %{CDWuser} %{CDWgroup}

#patch and/or e-mail to program author
#if this not set WCDwriter display error
#%{_sbindir}/CDWconfig.sh root %{CDWgroup}
#
# if this not set WCDwriter display error
# chown root.cdwrite %{_bindir}/cdrdao
# chmod 4750 %{_bindir}/cdrdao
# chown root.cdwrite %{_bindir}/cdrecord
# chmod 4750 %{_bindir}/cdrecord
# chown root.cdwrite %{_bindir}/mkisofs
# chmod 4750 %{_bindir}/mkisofs

%preun
if [ "$1" = "0" ]; then
	/etc/rc.d/init.d/CDWserver stop || :

	if [ -x /sbin/chkconfig ]; then
		/sbin/chkconfig --del CDWserver
	fi

	if [ ! -e %{_var}/spool/CDWserver/bin/ ]; then
		rm -rf %{_var}/spool/CDWserver/*
	fi
fi

%postun
if [ $1 -ge 1 ]; then
	/etc/rc.d/init.d/CDWserver condrestart
fi

if [ "$1" = "0" ]; then
	%userremove %{CDWuser}
	%groupremove %{CDWgroup}
fi

%files
%defattr(644,root,root,755)
%doc CREDITS ChangeLog README *.html
%attr(754,root,root) /etc/rc.d/init.d/CDWserver
%dir %attr(755,%{CDWuser},%{CDWgroup}) %{_sysconfdir}
/etc/pam.d/cdwserver
%{_sysconfdir}/mime.types
%attr(600,%{CDWuser},%{CDWgroup}) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/accounts
%config(noreplace) %attr(640, %{CDWuser}, %{CDWgroup}) %verify(not md5 mtime size) %{_sysconfdir}/config
%attr(640,root,%{CDWgroup}) %verify(not md5 mtime size) %{_sysconfdir}/config.default
%config(noreplace) %attr(640, root, %{CDWgroup}) %verify(not md5 mtime size)%{_sysconfdir}/config-root
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/greeting
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/insertCD.html
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/insertCD_de.html
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/insertCD_no.html
#%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/waitForCD
%attr(600,%{CDWuser},%{CDWgroup}) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/password
%exclude %{_bindir}/files2cd
%exclude %{_bindir}/image2cd
%exclude %{_bindir}/rcdrecord

%dir %attr(700,%{CDWuser},%{CDWgroup}) %{_var}/log/CDWserver
%dir %attr(700,%{CDWuser},%{CDWgroup}) %{_var}/spool/CDWserver
%dir %{_datadir}/CDWserver
%attr(4754, root, %{CDWgroup}) %{_bindir}/cdrecord-dummy
%attr(4754, root, %{CDWgroup}) %{_bindir}/cdrdao-dummy
%attr(4754, root, %{CDWgroup}) %{_bindir}/CDWrootGate
%attr(4754, root, %{CDWgroup}) %{_bindir}/CDWverify
%attr(4754, root, %{CDWgroup}) %{_bindir}/CDWverify-dummy
#%attr(4754, root, %{CDWgroup}) %{_bindir}/setScheduler

%attr(755,root,root) %{_bindir}/dvd+rw-format-dummy
%attr(755,root,root) %{_bindir}/growisofs-dummy
%attr(755,root,root) %{_bindir}/MD5Verify.jar
%attr(755,root,root) %{_bindir}/tar2rpm.sh

%attr(755,root,root) %{_sbindir}/CDWconfig.sh
%attr(755,root,root) %{_sbindir}/CDWpasswd
%attr(755,root,root) %{_sbindir}/CDWserver
%attr(755,root,root) %{_sbindir}/CDWuseradd

%dir %{_var}/lib/CDWserver
%dir %{_var}/lib/CDWserver/export
%{_var}/lib/CDWserver/export/*

%dir %{_datadir}/CDWserver/http
%config(noreplace) %{_datadir}/CDWserver/http/about.html
%config(noreplace) %{_datadir}/CDWserver/http/config.html
%dir %{_datadir}/CDWserver/http/config
%{_datadir}/CDWserver/http/config/*
%{_datadir}/CDWserver/http/default.css
%{_datadir}/CDWserver/http/exampleProject.txt
%config(noreplace) %{_datadir}/CDWserver/http/favicon.ico
%config(noreplace) %{_datadir}/CDWserver/http/footer
%config(noreplace) %{_datadir}/CDWserver/http/head*
%config(noreplace) %{_datadir}/CDWserver/http/help*.html
%config(noreplace) %{_datadir}/CDWserver/http/index*.html
%config(noreplace) %{_datadir}/CDWserver/http/messages*
%dir %{_datadir}/CDWserver/http/rcdrecord
%{_datadir}/CDWserver/http/rcdrecord/*
%config(noreplace) %{_datadir}/CDWserver/http/status*.html
%config(noreplace) %{_datadir}/CDWserver/http/support*.html
%{_datadir}/CDWserver/http/*.png
%dir %{_datadir}/CDWserver/http/webCDcreator
%config(noreplace) %{_datadir}/CDWserver/http/webCDcreator/*.html
%config(noreplace) %{_datadir}/CDWserver/http/webCDcreator/*.jnlp
%dir %{_datadir}/CDWserver/http/webCDcreator/4netscape
%{_datadir}/CDWserver/http/webCDcreator/4netscape/*
%dir %{_datadir}/CDWserver/http/webCDcreator/4plugin
%{_datadir}/CDWserver/http/webCDcreator/4plugin/*
%dir %{_datadir}/CDWserver/http/webCDcreator/4pluginRSA
%{_datadir}/CDWserver/http/webCDcreator/4pluginRSA/*
%dir %{_datadir}/CDWserver/http/webCDcreator/doc
%{_datadir}/CDWserver/http/webCDcreator/doc/*
%dir %{_datadir}/CDWserver/http/webCDcreator/help
%{_datadir}/CDWserver/http/webCDcreator/help/*
%dir %{_datadir}/CDWserver/http/webCDcreator/i18n
%{_datadir}/CDWserver/http/webCDcreator/i18n/*
%dir %{_datadir}/CDWserver/http/webCDcreator/icons
%{_datadir}/CDWserver/http/webCDcreator/icons/*
%dir %{_datadir}/CDWserver/http/webCDcreator/errors
%{_datadir}/CDWserver/http/webCDcreator/errors/*.html
%{_datadir}/CDWserver/http/embeddedProjects.html
%dir %attr(700, %{CDWuser}, %{CDWgroup}) %{_var}/lib/CDWserver/projects

%files rcdrecord
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/files2cd
%attr(755,root,root) %{_bindir}/image2cd
%attr(755,root,root) %{_bindir}/rcdrecord

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: webCDwriter.spec,v $
Revision 1.48  2008-01-11 00:58:06  zbyniu
- missing dir; adapterized; rel 2

Revision 1.47  2007-12-25 02:41:08  wolvverine
- up to 2.8.1

Revision 1.46  2007/02/12 22:09:20  glen
- tabs in preamble

Revision 1.45  2007/02/12 01:06:36  baggins
- converted to UTF-8

Revision 1.44  2006/07/26 15:56:36  glen
- remove extra unneeded slash

Revision 1.43  2005/11/20 22:22:48  wolvverine
- release 1
- STBR

Revision 1.42  2005/11/13 20:39:50  wolvverine
- up to 2.7.3

Revision 1.41  2005/11/13 20:32:01  wolvverine
- fix conflicts cdrtools* with dvdrtools*

Revision 1.40  2005/10/06 02:20:48  wolvverine
- correct user in @post for upgrade old instalation
- add TODO in %post (problem with suid root)

Revision 1.39  2005/10/03 06:47:48  glen
- adapterized

Revision 1.38  2005/10/03 02:16:49  wolvverine
- edit %post config

Revision 1.37  2005/10/03 00:41:57  wolvverine
- add R

Revision 1.36  2005/10/02 23:48:28  wolvverine
- cleaning

Revision 1.35  2005/10/02 23:30:21  wolvverine
- security

Revision 1.34  2005/10/02 18:48:30  wolvverine
- FHS dir correct

Revision 1.33  2005/10/02 18:21:39  wolvverine
- correct atributes in %file

Revision 1.32  2005/10/02 17:56:09  wolvverine
- correct %pre

Revision 1.31  2005/10/02 16:17:31  wolvverine
- correct

Revision 1.30  2005/10/02 16:11:37  wolvverine
- FHS

Revision 1.29  2005/10/02 13:10:11  wolvverine
- up to 2.7.2
- TODO: FHS violation
- TODO: add certificate and compiling java client

Revision 1.28  2005/07/21 07:16:45  qboosh
- some cleanups, found FHS violations

Revision 1.27  2005/07/21 01:10:08  wolvverine
- up to 2.7.1

Revision 1.26  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.25  2005/01/14 08:00:46  wolvverine
- up to 2.6.92 version (devel)

Revision 1.24  2004/10/31 14:31:20  paladine
- spaces->tabs
- formatting

Revision 1.23  2004/09/15 14:18:50  ankry
- %userremove/%groupremove macros support
- cleaning

Revision 1.22  2004/03/25 14:16:10  wiget
- updated to 2.6.6 (but not yet FHS compilant)

Revision 1.21  2003/10/24 08:30:06  wiget
- updated to 2.6.2

Revision 1.20  2003/09/16 13:30:35  wiget
- Source0Download

Revision 1.19  2003/09/16 13:28:54  wiget
- updated to 2.6.1

Revision 1.18  2003/09/11 14:31:29  ankry
- lowercased user name; set registered UID for the user
- rel. 0.2

Revision 1.17  2003/09/09 10:24:57  ankry
- spaces -> tab

Revision 1.16  2003/09/02 11:47:10  wiget
- updated to 2.6.0

Revision 1.15  2003/07/02 09:05:38  orzech
- up to 2.5.2

Revision 1.14  2003/06/16 09:22:17  wiget
- updated to 2.5.1

Revision 1.13  2003/05/28 13:02:46  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 06:27:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/04/04 10:06:06  wiget
- updated to 2.5.0

Revision 1.10  2003/03/04 14:50:52  wiget
- remove *-dummy
- fix %file in rcdrecord
- don't duplicate files from rcdrecord in main package
- release 0.2

Revision 1.9  2003/03/04 12:49:20  wiget
- fix quoting

Revision 1.8  2003/02/27 12:51:27  orzech
- up to 2.4.4

Revision 1.7  2003/02/11 22:41:51  qboosh
- cosmetics or minor fixes where necessary

Revision 1.6  2003/01/15 08:49:03  orzech
- up to 2.4.3

Revision 1.5  2002/12/06 10:42:21  orzech
- up to 2.4.2
- fixes in %files

Revision 1.4  2002/11/20 14:26:44  orzech
- more cleanup, almost finished

Revision 1.3  2002/11/18 15:28:52  orzech
- up to 2.4.1
- some cleanup
- NFY

Revision 1.2  2002/05/20 10:33:31  qboosh
- typos and cosmetics; NOTE: rpm scripts must be fixed

Revision 1.1  2002/05/18 22:01:23  klark
- new PLD spec
- rcscript isn't change to PLD standart yet ;)
